/*
 * Code generation for system model 'PWMGenerator'
 * For more details, see corresponding source file PWMGenerator.c
 *
 */

#ifndef PWMGenerator_h_
#define PWMGenerator_h_
#include "rtwtypes.h"
#include "rtw_extmode.h"
#include "sysran_types.h"
#include "rtw_continuous.h"
#include "rtw_solver.h"
#include "PWMGenerator_types.h"
#include "PWMGenerator_cal.h"
#include <cstring>

/* Block signals for model 'PWMGenerator' */
struct B_PWMGenerator_c_T {
  real_T FijacinDouble;                /* '<Root>/Fijacin Double' */
  real_T Sum1;                         /* '<Root>/Sum1' */
  boolean_T PWM;                       /* '<Root>/PWM' */
};

/* Real-time Model Data Structure */
struct tag_RTM_PWMGenerator_T {
  const char_T **errorStatus;

  /*
   * Timing:
   * The following substructure contains information regarding
   * the timing information for the model.
   */
  struct {
    boolean_T *stopRequestedFlag;
  } Timing;
};

struct MdlrefDW_PWMGenerator_T {
  B_PWMGenerator_c_T rtb;
  RT_MODEL_PWMGenerator_T rtm;
};

/* Model reference registration function */
extern void PWMGenerator_initialize(const char_T **rt_errorStatus,
  RT_MODEL_PWMGenerator_T *const PWMGenerator_M, B_PWMGenerator_c_T *localB);
extern void PWMGenerator(const real_T *rtu_Ondaobjetivo, const real_T
  *rtu_Ondaportadora, const real_T *rtu_Amplitud, real_T *rty_SealPWM, real_T
  *rty_MonitoreoPortadoraAmp, real_T *rty_MonitoreoPWMAmp1, B_PWMGenerator_c_T
  *localB);

/*-
 * The generated code includes comments that allow you to trace directly
 * back to the appropriate location in the model.  The basic format
 * is <system>/block_name, where system is the system number (uniquely
 * assigned by Simulink) and block_name is the name of the block.
 *
 * Use the MATLAB hilite_system command to trace the generated code back
 * to the model.  For example,
 *
 * hilite_system('<S3>')    - opens system 3
 * hilite_system('<S3>/Kp') - opens and selects block Kp which resides in S3
 *
 * Here is the system hierarchy for this model
 *
 * '<Root>' : 'PWMGenerator'
 */
#endif                                 /* PWMGenerator_h_ */
